
_ReadADC:

;Sverlo.c,18 :: 		unsigned char ReadADC( unsigned char ADC )
;Sverlo.c,20 :: 		unsigned int adc_old, adcsum = 0; //    
	CLRF       ReadADC_adcsum_L0+0
	CLRF       ReadADC_adcsum_L0+1
;Sverlo.c,22 :: 		ADCON0 = ( ( ADC << 2 ) | 0x01 ); //12F675,16F688
	MOVF       FARG_ReadADC_ADC+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVLW      1
	IORWF      R0+0, 0
	MOVWF      ADCON0+0
;Sverlo.c,24 :: 		for ( i = 0; i < 8; i++ )        //  8
	CLRF       R8+0
L_ReadADC0:
	MOVLW      8
	SUBWF      R8+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ReadADC1
;Sverlo.c,26 :: 		ADIF_bit = 0;
	BCF        ADIF_bit+0, BitPos(ADIF_bit+0)
;Sverlo.c,27 :: 		ADRESH = 0;
	CLRF       ADRESH+0
;Sverlo.c,28 :: 		del = 10;
	MOVLW      10
	MOVWF      R9+0
;Sverlo.c,30 :: 		while ( del-- );
L_ReadADC3:
	MOVF       R9+0, 0
	MOVWF      R0+0
	DECF       R9+0, 1
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ReadADC4
	GOTO       L_ReadADC3
L_ReadADC4:
;Sverlo.c,32 :: 		GO_DONE_bit = 1;         //
	BSF        GO_DONE_bit+0, BitPos(GO_DONE_bit+0)
;Sverlo.c,34 :: 		while ( !ADIF_bit );
L_ReadADC5:
	BTFSC      ADIF_bit+0, BitPos(ADIF_bit+0)
	GOTO       L_ReadADC6
	GOTO       L_ReadADC5
L_ReadADC6:
;Sverlo.c,36 :: 		adctek = ADRESH;
	MOVF       ADRESH+0, 0
	MOVWF      R7+0
;Sverlo.c,38 :: 		if ( i == 0 )
	MOVF       R8+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_ReadADC7
;Sverlo.c,40 :: 		adc_old = adctek;     //     
	MOVF       R7+0, 0
	MOVWF      R5+0
	CLRF       R5+1
;Sverlo.c,41 :: 		adcsum = adc_old;
	MOVF       R5+0, 0
	MOVWF      ReadADC_adcsum_L0+0
	MOVF       R5+1, 0
	MOVWF      ReadADC_adcsum_L0+1
;Sverlo.c,42 :: 		}
	GOTO       L_ReadADC8
L_ReadADC7:
;Sverlo.c,45 :: 		adc_old += adctek;    //     
	MOVF       R7+0, 0
	ADDWF      R5+0, 0
	MOVWF      R3+0
	MOVF       R5+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R3+1
	MOVF       R3+0, 0
	MOVWF      R5+0
	MOVF       R3+1, 0
	MOVWF      R5+1
;Sverlo.c,46 :: 		adc_old /= 2;         //   2
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      R5+0
	MOVF       R0+1, 0
	MOVWF      R5+1
;Sverlo.c,47 :: 		adcsum += adc_old;    // 
	MOVF       R0+0, 0
	ADDWF      ReadADC_adcsum_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      ReadADC_adcsum_L0+1, 1
;Sverlo.c,48 :: 		}
L_ReadADC8:
;Sverlo.c,24 :: 		for ( i = 0; i < 8; i++ )        //  8
	INCF       R8+0, 1
;Sverlo.c,49 :: 		}
	GOTO       L_ReadADC0
L_ReadADC1:
;Sverlo.c,51 :: 		adctek = adcsum / 8;        //  c   8
	MOVF       ReadADC_adcsum_L0+0, 0
	MOVWF      R0+0
	MOVF       ReadADC_adcsum_L0+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      R7+0
;Sverlo.c,52 :: 		return adctek;              //   
;Sverlo.c,53 :: 		}
L_end_ReadADC:
	RETURN
; end of _ReadADC

_Init_CPU:

;Sverlo.c,58 :: 		void Init_CPU( void )
;Sverlo.c,60 :: 		GPIO = 0;                   // GPIO
	CLRF       GPIO+0
;Sverlo.c,61 :: 		INTCON = 0;
	CLRF       INTCON+0
;Sverlo.c,62 :: 		OPTION_REG = 0b100001111;   //..,. WDT,.=128:
	MOVLW      15
	MOVWF      OPTION_REG+0
;Sverlo.c,63 :: 		TRISIO = 0b00011011;        //2,5 out
	MOVLW      27
	MOVWF      TRISIO+0
;Sverlo.c,64 :: 		WPU = 0;
	CLRF       WPU+0
;Sverlo.c,66 :: 		ANSEL = 0b01011000;         //an3  , Fosc/16
	MOVLW      88
	MOVWF      ANSEL+0
;Sverlo.c,67 :: 		ADCON0 = 0;                 // ,  VDD
	CLRF       ADCON0+0
;Sverlo.c,68 :: 		CMCON = 0x07;               // .
	MOVLW      7
	MOVWF      CMCON+0
;Sverlo.c,69 :: 		}
L_end_Init_CPU:
	RETURN
; end of _Init_CPU

_main:

;Sverlo.c,71 :: 		void main( void )
;Sverlo.c,73 :: 		Init_CPU();
	CALL       _Init_CPU+0
;Sverlo.c,74 :: 		Out_T = 1;
	BSF        GPIO+0, 2
;Sverlo.c,75 :: 		Delay_ms( 200 );            //
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main9:
	DECFSZ     R13+0, 1
	GOTO       L_main9
	DECFSZ     R12+0, 1
	GOTO       L_main9
	DECFSZ     R11+0, 1
	GOTO       L_main9
	NOP
;Sverlo.c,76 :: 		Out_T = 0;
	BCF        GPIO+0, 2
;Sverlo.c,77 :: 		Delay_ms( 2000 );           //  
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main10:
	DECFSZ     R13+0, 1
	GOTO       L_main10
	DECFSZ     R12+0, 1
	GOTO       L_main10
	DECFSZ     R11+0, 1
	GOTO       L_main10
	NOP
	NOP
;Sverlo.c,79 :: 		while ( 1 )
L_main11:
;Sverlo.c,81 :: 		Out_T = 1;               // 
	BSF        GPIO+0, 2
;Sverlo.c,82 :: 		Up = ReadADC( 3 );
	MOVLW      3
	MOVWF      FARG_ReadADC_ADC+0
	CALL       _ReadADC+0
	MOVF       R0+0, 0
	MOVWF      _Up+0
;Sverlo.c,83 :: 		Up_on = ( Up + Up / 8 ); //  (1/16,1/8+1/16,1/4)
	MOVF       R0+0, 0
	MOVWF      R1+0
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	MOVF       R1+0, 0
	ADDWF      R0+0, 0
	MOVWF      _Up_on+0
;Sverlo.c,85 :: 		while ( Up < Up_on )     //  
L_main13:
	MOVF       _Up_on+0, 0
	SUBWF      _Up+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main14
;Sverlo.c,87 :: 		Up = ReadADC( 3 );
	MOVLW      3
	MOVWF      FARG_ReadADC_ADC+0
	CALL       _ReadADC+0
	MOVF       R0+0, 0
	MOVWF      _Up+0
;Sverlo.c,88 :: 		continue;
	GOTO       L_main13
;Sverlo.c,89 :: 		}
L_main14:
;Sverlo.c,91 :: 		Out_T = 0;
	BCF        GPIO+0, 2
;Sverlo.c,92 :: 		Delay_ms( 10 );
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_main15:
	DECFSZ     R13+0, 1
	GOTO       L_main15
	DECFSZ     R12+0, 1
	GOTO       L_main15
	NOP
	NOP
;Sverlo.c,93 :: 		Out_M = 1;               //   
	BSF        GPIO+0, 5
;Sverlo.c,94 :: 		Delay_ms( 1000 );
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main16:
	DECFSZ     R13+0, 1
	GOTO       L_main16
	DECFSZ     R12+0, 1
	GOTO       L_main16
	DECFSZ     R11+0, 1
	GOTO       L_main16
	NOP
	NOP
;Sverlo.c,95 :: 		Out_M = 0;
	BCF        GPIO+0, 5
;Sverlo.c,96 :: 		Delay_ms( 2500 );        //  
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L_main17:
	DECFSZ     R13+0, 1
	GOTO       L_main17
	DECFSZ     R12+0, 1
	GOTO       L_main17
	DECFSZ     R11+0, 1
	GOTO       L_main17
	NOP
;Sverlo.c,97 :: 		}
	GOTO       L_main11
;Sverlo.c,98 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
